lighttpd

The place to post if you need help or advice

Moderators: ChrisThornett, LXF moderators

lighttpd

Postby scooter » Tue Nov 13, 2012 11:27 pm

Hello,

I have lighttpd 1.4.28(ssl) install on CentOS5.8 with php5.1.6(cli) and I can't get fastcgi to work. :cry:

It's looking for mod_fastcgi.so and I don't have a mod_fastcgi.so

Can someone here point me in the direction of this file ??

There's other mod_xxx.so files in /usr/lib/lighttpd but not the one I want :oops:

Thanks..
scooter
 
Posts: 23
Joined: Wed May 06, 2009 10:32 am
Location: Scottish Borders

Postby Dutch_Master » Tue Nov 13, 2012 11:47 pm

This gives you an idea in what package you can find this file:
http://packages.debian.org/cgi-bin/sear ... fastcgi.so

The search is for Debian, but your distro should have a similar package too.
Dutch_Master
LXF regular
 
Posts: 2449
Joined: Tue Mar 27, 2007 1:49 am

Frustration

Postby scooter » Wed Nov 14, 2012 12:23 pm

Thank for the reply Dutch_Master. I've looked at the link and checked for the files in *packages.sw.be/rpmforge-release* which is where I get lighttpd for Centos.

The Debian *fastcgi* makes reference to php5.cgi and php5.cgi isn't available to me :cry: Maybe I just haven't found it yet !!

lighttpd plays OK for me but without php support ; I found that I had to make changes to the downloaded *fastcgi.conf* file as when I checked the syntax I was getting errors .

Isn't trying a new project fun 8)

Cheers and beers
scooter
 
Posts: 23
Joined: Wed May 06, 2009 10:32 am
Location: Scottish Borders


Return to Help!

Who is online

Users browsing this forum: Alex01UK and 1 guest